---
import AvatarList from './AvatarList.astro';
const { path } = Astro.props;
---

<footer>
	<div>
	<p>
		CodeChallenge.dev documentation by
		<a href="https://about.gitlab.com" target="_blank">GitLab</a>.
		🦊
	</p>
	</div>
	<div>
		<p>
		The source code is licensed 
		<a href="https://gitlab.com/gitlab-de/codechallenge/-/blob/main/LICENSE" target="_blank">MIT</a>.
		</p>
	</div>
</footer>

<style>
	footer {
		margin-top: auto;
		padding: 2rem 2rem;
		border-top: 3px solid var(--theme-divider);
		--min: 15ch;
		--gap: 1rem;

		display: grid;
		place-content: center;
		grid-gap: var(--gap);
		/* min() with 100% prevents overflow
		in extra narrow spaces */
		grid-template-columns: repeat(auto-fit, minmax(min(100%, var(--min)), 1fr));
	}
</style>
